Skip to content

GetGitRemote

GET
/api/v1/t/{tenant}/workflows/git-remote
curl --request GET \
--url https://example.com/api/v1/t/example/workflows/git-remote
tenant
required
string

Tenant slug

OK

Media typeapplication/json
object
url
required
string
branch
required
string
hasToken
required
boolean
updatedAt
required
string format: date-time
version
required
integer format: uint32
lastPush
One of:
null
lastPull
One of:
null
Examplegenerated
{
"url": "example",
"branch": "example",
"hasToken": true,
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1,
"lastPush": {
"commitSha": "example",
"at": "2026-04-15T12:00:00Z",
"by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
},
"lastPull": {
"commitSha": "example",
"ref": "example",
"at": "2026-04-15T12:00:00Z"
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}